Package com.sun.jna.platform.win32.COM.util

# Class AbstractComEventCallbackListener

java.lang.Object
com.sun.jna.platform.win32.COM.util.AbstractComEventCallbackListener

All Implemented Interfaces:
  `IComEventCallbackListener`

public abstract class AbstractComEventCallbackListener extends Object implements IComEventCallbackListener

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) IDispatchCallback`
  `dispatchCallback`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractComEventCallbackListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDispatchCallbackListener(IDispatchCallback dispatchCallback)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.sun.jna.platform.win32.COM.util.IComEventCallbackListener

  `errorReceivingCallbackEvent`

- ## Field Details

  - ### dispatchCallback

    IDispatchCallback dispatchCallback

- ## Constructor Details

  - ### AbstractComEventCallbackListener

    public AbstractComEventCallbackListener()

- ## Method Details

  - ### setDispatchCallbackListener

    public void setDispatchCallbackListener(IDispatchCallback dispatchCallback)
    Specified by:
      `setDispatchCallbackListener` in interface `IComEventCallbackListener`